.TH "omsb::HttpServer" 3 "Fri Jan 7 2022" "ombs-OnlineMovieBookingSystem" \" -*- nroff -*-
.ad l
.nh
.SH NAME
omsb::HttpServer \- this the class that handels user REST API requests\&. we only need to create one object abd start server\&. there is no need to create multiple instanaces in one node as each request is handlled in dedicated thread\&.  

.SH SYNOPSIS
.br
.PP
.PP
\fC#include <http_server\&.hpp>\fP
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBHttpServer\fP (served::multiplexer multiplexer)"
.br
.RI "Construct a new Http Server object\&. "
.ti -1c
.RI "void \fBStartServer\fP ()"
.br
.RI "Starts the server after endpoints have been initialized\&. "
.in -1c
.SH "Detailed Description"
.PP 
this the class that handels user REST API requests\&. we only need to create one object abd start server\&. there is no need to create multiple instanaces in one node as each request is handlled in dedicated thread\&. 


.SH "Constructor & Destructor Documentation"
.PP 
.SS "omsb::HttpServer::HttpServer (served::multiplexer multiplexer)"

.PP
Construct a new Http Server object\&. 
.PP
\fBParameters\fP
.RS 4
\fImultiplexer\fP : served multiplexer\&. 
.RE
.PP

.SH "Member Function Documentation"
.PP 
.SS "void omsb::HttpServer::StartServer ()"

.PP
Starts the server after endpoints have been initialized\&. 

.SH "Author"
.PP 
Generated automatically by Doxygen for ombs-OnlineMovieBookingSystem from the source code\&.
